<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Module: ApplicationHelper</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Module</strong></td>
          <td class="class-name-in-header">ApplicationHelper</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/helpers/application_helper_rb.html">
                app/helpers/application_helper.rb
                </a>
        <br />
            </td>
        </tr>

        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">

    <div id="description">
      <p>
Methods added to this helper will be available to all templates in the
application.
</p>

    </div>


   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000057">all_shows</a>&nbsp;&nbsp;
      <a href="#M000056">all_songs</a>&nbsp;&nbsp;
      <a href="#M000055">class_for_show</a>&nbsp;&nbsp;
      <a href="#M000054">class_for_song</a>&nbsp;&nbsp;
      <a href="#M000058">in_place_options</a>&nbsp;&nbsp;
      <a href="#M000059">notice_options</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000057" class="method-detail">
        <a name="M000057"></a>

        <div class="method-heading">
          <a href="#M000057" class="method-signature">
          <span class="method-name">all_shows</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000057-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000057-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 15</span>
15:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">all_shows</span>
16:     <span class="ruby-identifier">logged_in?</span> <span class="ruby-value">? </span><span class="ruby-identifier">current_user</span>.<span class="ruby-identifier">shows</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">:all</span>, <span class="ruby-identifier">:order</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'created_at DESC'</span>) <span class="ruby-operator">:</span> []
17:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000056" class="method-detail">
        <a name="M000056"></a>

        <div class="method-heading">
          <a href="#M000056" class="method-signature">
          <span class="method-name">all_songs</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000056-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000056-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 11</span>
11:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">all_songs</span>
12:     <span class="ruby-identifier">logged_in?</span> <span class="ruby-value">? </span><span class="ruby-identifier">current_user</span>.<span class="ruby-identifier">songs</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">:all</span>, <span class="ruby-identifier">:order</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'title'</span>) <span class="ruby-operator">:</span> []
13:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000055" class="method-detail">
        <a name="M000055"></a>

        <div class="method-heading">
          <a href="#M000055" class="method-signature">
          <span class="method-name">class_for_show</span><span class="method-args">(show)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000055-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000055-source">
<pre>
   <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 7</span>
7:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">class_for_show</span>(<span class="ruby-identifier">show</span>)
8:     (<span class="ruby-operator">!</span><span class="ruby-ivar">@show</span>.<span class="ruby-identifier">nil?</span> <span class="ruby-keyword kw">and</span> <span class="ruby-ivar">@show</span>.<span class="ruby-identifier">id</span> <span class="ruby-operator">==</span> <span class="ruby-identifier">show</span>.<span class="ruby-identifier">id</span>) <span class="ruby-operator">?</span> <span class="ruby-value str">'current show'</span> <span class="ruby-operator">:</span> <span class="ruby-value str">'show'</span>
9:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000054" class="method-detail">
        <a name="M000054"></a>

        <div class="method-heading">
          <a href="#M000054" class="method-signature">
          <span class="method-name">class_for_song</span><span class="method-args">(song)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000054-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000054-source">
<pre>
   <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 3</span>
3:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">class_for_song</span>(<span class="ruby-identifier">song</span>)
4:     (<span class="ruby-operator">!</span><span class="ruby-ivar">@song</span>.<span class="ruby-identifier">nil?</span> <span class="ruby-keyword kw">and</span> <span class="ruby-ivar">@song</span>.<span class="ruby-identifier">id</span> <span class="ruby-operator">==</span> <span class="ruby-identifier">song</span>.<span class="ruby-identifier">id</span>) <span class="ruby-operator">?</span> <span class="ruby-value str">'current song'</span> <span class="ruby-operator">:</span> <span class="ruby-value str">'song'</span>
5:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000058" class="method-detail">
        <a name="M000058"></a>

        <div class="method-heading">
          <a href="#M000058" class="method-signature">
          <span class="method-name">in_place_options</span><span class="method-args">(object, method)</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000058-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000058-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 19</span>
19:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">in_place_options</span>(<span class="ruby-identifier">object</span>, <span class="ruby-identifier">method</span>)
20:     <span class="ruby-identifier">object_type</span> = <span class="ruby-identifier">object</span>.<span class="ruby-identifier">class</span>.<span class="ruby-identifier">to_s</span>.<span class="ruby-identifier">underscore</span>
21:     {<span class="ruby-identifier">:class</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;in_place_editor_field&quot;</span>, <span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-node">&quot;#{object_type}_#{method}_#{object.id}_in_place_editor&quot;</span>}
22:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000059" class="method-detail">
        <a name="M000059"></a>

        <div class="method-heading">
          <a href="#M000059" class="method-signature">
          <span class="method-name">notice_options</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000059-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000059-source">
<pre>
    <span class="ruby-comment cmt"># File app/helpers/application_helper.rb, line 24</span>
24:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">notice_options</span>
25:     <span class="ruby-identifier">default_options</span> = {<span class="ruby-identifier">:id</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'notice'</span>}
26:     <span class="ruby-identifier">flash</span>.<span class="ruby-identifier">has_key?</span>(<span class="ruby-identifier">:notice</span>) <span class="ruby-operator">?</span> <span class="ruby-identifier">default_options</span> <span class="ruby-operator">:</span> <span class="ruby-identifier">default_options</span>.<span class="ruby-identifier">merge</span>({<span class="ruby-identifier">:style</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'display: none'</span>})
27:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>